## org.apache.mahout.math.jet.random
Class Poisson

    java.lang.Object
      org.apache.mahout.math.PersistentObject
          org.apache.mahout.math.jet.random.AbstractDistribution
              org.apache.mahout.math.jet.random.AbstractDiscreteDistribution
                  org.apache.mahout.math.jet.random.Poisson

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.apache.mahout.math.function.DoubleFunction, IntFunction, UnaryFunction

    public class Poisson

extends AbstractDiscreteDistribution

Partially deprecated until unit tests are in place. Until this time, this class/interface is unsupported.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.mahout.math.jet.random.AbstractDistribution
`randomGenerator`

Constructor Summary
`Poisson(double mean, java.util.Random randomGenerator)` Constructs a poisson distribution.

Method Summary
`double` `cdf(int k)` Deprecated.
`java.lang.Object` `clone()` Deprecated.
`int` `nextInt()`
`int` `nextInt(double theMean)` Returns a random number from the distribution.
`double` `pdf(int k)` Deprecated.
`void` `setMean(double mean)` Deprecated.
`java.lang.String` `toString()` Deprecated.

Methods inherited from class org.apache.mahout.math.jet.random.AbstractDiscreteDistribution
`nextDouble`

Methods inherited from class org.apache.mahout.math.jet.random.AbstractDistribution
`apply, apply, getRandomGenerator, setRandomGenerator`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Poisson

    public Poisson(double mean,
                   java.util.Random randomGenerator)

  Constructs a poisson distribution. Example: mean=1.0.

Method Detail

### cdf

    @Deprecated
    public double cdf(int k)

  Deprecated.

  Returns the cumulative distribution function.

### clone

    @Deprecated
    public java.lang.Object clone()

  Deprecated.

  Returns a deep copy of the receiver; the copy will produce identical sequences. After this call has returned, the copy and the receiver have equal but separate state.

  Overrides:
    `clone` in class `org.apache.mahout.math.PersistentObject`
  Returns:
    a copy of the receiver.

### nextInt

    public int nextInt()

  Specified by:
    `nextInt` in class `AbstractDiscreteDistribution`
  Returns:
    A random number from the distribution; returns `(int) Math.round(nextDouble())`. Override this method if necessary.

### nextInt

    public int nextInt(double theMean)

  Returns a random number from the distribution.

### pdf

    @Deprecated
    public double pdf(int k)

  Deprecated.

  Returns the probability distribution function.

### setMean

    @Deprecated
    public void setMean(double mean)

  Deprecated.

  Sets the mean.

### toString

    @Deprecated
    public java.lang.String toString()

  Deprecated.

  Returns a String representation of the receiver.

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.